<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.DayNight.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:statusBarColor">@color/colorPrimary</item>
        <item name="android:navigationBarColor">@color/colorBase03</item>
    </style>

    <style name="AppTheme.Splash" parent="Theme.AppCompat.DayNight.NoActionBar">
        <item name="colorPrimary">@color/colorPrimaryDark</item>
        <item name="android:background">@color/colorPrimaryDark</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
        <item name="android:statusBarColor">@android:color/transparent</item>
        <item name="android:navigationBarColor">@android:color/transparent</item>
    </style>

    <style name="AppTheme.ImageViewer" parent="Theme.AppCompat.DayNight.NoActionBar">
        <item name="android:background">@color/colorForegroundText</item>
        <item name="colorPrimary">@color/colorForegroundText</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
        <item name="android:statusBarColor">@android:color/transparent</item>
        <item name="android:navigationBarColor">@android:color/transparent</item>
    </style>

    <style name="AppTheme.Schedule" parent="AppTheme">
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

    <style name="AppTheme.Updater" parent="AppTheme">
        <item name="actionMenuTextColor">@color/colorBackground</item>
    </style>

    <style name="AppTheme.ScheduleFavorites" parent="AppTheme">

        <item name="android:windowTranslucentStatus">true</item>
    </style>

    <style name="ExpandedAppBar" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">22sp</item>
        <item name="android:textColor">@color/colorBase15</item>
        <item name="android:textStyle">normal</item>
    </style>

    <style name="CollapsedAppBar" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">18sp</item>
        <item name="android:textColor">@color/colorForegroundPage</item>
        <item name="android:textStyle">normal</item>
    </style>

    <style name="AppTheme.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="AppTheme.CollapsingToolbar" parent="ThemeOverlay.AppCompat.ActionBar">
        <item name="colorSurface">@color/colorWhiteDoNotInvert</item>
        <item name="android:textColor">@color/colorWhiteDoNotInvert</item>
    </style>

    <style name="AppTheme.PopupOverlay" parent="ThemeOverlay.AppCompat.DayNight" />

    <style name="AppTheme.Dialog" parent="Theme.AppCompat.DayNight.Dialog.Alert">
        <item name="android:background">@color/colorBackground</item>
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:navigationBarColor">@color/colorBase03</item>
    </style>

</resources>